/*-------------------------------------
	版权所有：牛逼CMS
	程序版本：商业授权版
	更新日期：2014-11-26
-------------------------------------*/
function killerr()
{
	return true;	
}
window.onerror=killerr;
	
/******** 框架自适应高度 *******/
function autoHeight(objid,offset)
{
	try{
			$('#'+objid).height(($(window).height()-offset));
		}catch(e){}
}

/******** 全选/反选 *******/
$(function(){
           $("#checkAll").click(function() {
                $('input[la="checkbox"]').attr("checked",this.checked); 
            });
        });

function ischecked()
{
	var re=false;
	$('input[la="checkbox"]').each(function(){
	   if($(this).attr('checked'))
	   {
		   re=true;
		   return true;
	   }
	 });
	
	return re;
}
/******** Tips特效 *******/
function popWindow(id,width,height,isrefresh)
{
	$( "#"+id ).dialog({
      modal: true,
	  width:width,
	  height:height,
      buttons: {
        "关闭窗口": function() {
          $( this ).dialog( "close" );
		
		  if(isrefresh==true && isrefresh!='undefined')
		  {
			self.location.reload();
		  }
        }
      }
    });
}

function authKey()
{
	var randStr='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
	var auth_key='';
	for(var i=0;i<20;i++)
	{
		auth_key+=randStr.charAt(Math.random()*randStr.length);
	}
	$("#auth_key").val(auth_key);
}

